View Issue Details

IDProjectCategoryView StatusLast Update
0000454OpenFOAM[All Projects] Bugpublic2012-05-22 10:24
ReporterlinnemannAssigned Touser4 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version5.6
Product Version 
Fixed in Version 
Summary0000454: Extend dynamicFvMesh to support multiple rotating/moving cellZones
DescriptionUsing dynamicFvMesh with one moving domain works fine, however having multiple rotating domains is not supported.

This can be used eg. for counter-rotating products or simulations where there is a need for multiple domains having different CofG/rotation Axis.

Something like the code in the Adt. Info. would be nice to have implemented.
Additional InformationdynamicFvMesh solidBodyMotionFvMesh;

motionSolverLibs ( "libfvMotionSolvers.so" );

solidBodyMotionFvMeshCoeffs
{
    cellZone region1;

    solidBodyMotionFunction rotatingMotion;
    rotatingMotionCoeffs
    {
        CofG (-5 0 2.5);
        radialVelocity (0 210 0); // deg/s
    }
}

solidBodyMotionFvMeshCoeffs
{
    cellZone region2;

    solidBodyMotionFunction rotatingMotion;
    rotatingMotionCoeffs
    {
        CofG (-15 0 2.5);
        radialVelocity (0 210 0); // deg/s
    }
}
TagsNo tags attached.

Activities

linnemann

2012-05-21 12:02

reporter   ~0001328

Please post as resolved as of Commit 3edf9e06d8a5a234aac77e38fd241264c94205c6

Best
Linnemann

user4

2012-05-22 10:24

  ~0001331

fixed in 3edf9e06d8a5a234aac77e38fd241264c94205c6.

Issue History

Date Modified Username Field Change
2012-03-09 06:36 linnemann New Issue
2012-05-21 12:02 linnemann Note Added: 0001328
2012-05-22 10:24 user4 Note Added: 0001331
2012-05-22 10:24 user4 Status new => resolved
2012-05-22 10:24 user4 Fixed in Version => 2.1.x
2012-05-22 10:24 user4 Resolution open => fixed
2012-05-22 10:24 user4 Assigned To => user4